<?php
/*
 * This file is part of Mustache.php.
 *
 * @author    Justin Hileman
 * @copyright Copyright (c) 2010-2015 Justin Hileman
 * @license   The MIT License (MIT); see https://github.com/bobthecow/mustache.php/blob/master/LICENSE
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 *
 * Joomla! integration by Abhishek Das
 *
 * @license   GNU General Public License version 2 or later; see LICENSE.txt
 */
defined('_JEXEC') or die;

/**
 * Mustache syntax exception.
 */
class Mustache_Exception_SyntaxException extends LogicException implements Mustache_Exception
{
    protected $token;

    /**
     * @param string $msg
     * @param array  $token
     */
    public function __construct($msg, array $token)
    {
        $this->token = $token;
        parent::__construct($msg);
    }

    /**
     * @return array
     */
    public function getToken()
    {
        return $this->token;
    }
}
